{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-orders') }}
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">Страница заказа</p>
        <p class="subtitle">Данные о заказе клиента</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content">
            <div class="card-block">
                <p class="card-block-header">Карточка заказа</p>
                <div class="card-block-content">
                    <table>
                        <tr>
                            <td>ID</td>
                            <td>{{ order.id }}</td>
                        </tr>
                        <tr>
                            <td>Клиент</td>
                            <td>{{ order.userName }}</td>
                        </tr>
                        <tr>
                            <td>Телефон</td>
                            <td>{{ order.userPhone }}</td>
                        </tr>
                        <tr>
                            <td>Отправлен</td>
                            <td>{{ order.created }}</td>
                        </tr>
                        <tr>
                            <td>Дата записи</td>
                            <td>{{ order.date }}</td>
                        </tr>
                        <tr>
                            <td>Статус</td>
                            <td>{{ order.status }}</td>
                        </tr>
                        <tr>
                            <td>Оплачено</td>
                            <td>{{ order.payment }}</td>
                        </tr>
                        <tr>
                            <td>Комментарий</td>
                            <td>{{ order.comment }}</td>
                        </tr>
                    </table>
                    <button class="btn-delete btn-delete-order" data-order-id="{{ order.id }}">Удалить заказ</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-orders') }}
{% endblock %}